Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361482 - [abrt] setroubleshoot-server: __init__.py:20:swig_import_helper:ImportError: /usr/lib64/python3.5/site-packages/_selinux.so: file too short
Summary: [abrt] setroubleshoot-server: __init__.py:20:swig_import_helper:ImportError: ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:861de3f8a8b1b27321efd676192...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-29 07:07 UTC by Heiko Adams
Modified: 2017-08-08 16:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:02:03 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-29 07:07 UTC, Heiko Adams
no flags Details
File: environ (deleted)
2016-07-29 07:07 UTC, Heiko Adams
no flags Details

Description Heiko Adams 2016-07-29 07:07:41 UTC
Description of problem:
Installed chromium from fedora repositories

Version-Release number of selected component:
setroubleshoot-server-3.3.10-1.fc24

Additional info:
reporter:       libreport-2.7.2
executable:     /usr/sbin/setroubleshootd
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       unknown
type:           Python3
uid:            979

Truncated backtrace:
__init__.py:20:swig_import_helper:ImportError: /usr/lib64/python3.5/site-packages/_selinux.so: file too short

Traceback (most recent call last):
  File "/usr/lib64/python3.5/site-packages/selinux/__init__.py", line 18, in swig_import_helper
    fp, pathname, description = imp.find_module('_selinux', [dirname(__file__)])
  File "/usr/lib64/python3.5/imp.py", line 296, in find_module
    raise ImportError(_ERR_MSG.format(name), name=name)
ImportError: No module named '_selinux'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/sbin/setroubleshootd", line 30, in <module>
    import selinux
  File "/usr/lib64/python3.5/site-packages/selinux/__init__.py", line 28, in <module>
    _selinux = swig_import_helper()
  File "/usr/lib64/python3.5/site-packages/selinux/__init__.py", line 20, in swig_import_helper
    import _selinux
ImportError: /usr/lib64/python3.5/site-packages/_selinux.so: file too short

Local variables in innermost frame:
fp: None
dirname: <function dirname at 0x7f2d046a3730>
imp: <module 'imp' from '/usr/lib64/python3.5/imp.py'>

Comment 1 Heiko Adams 2016-07-29 07:07:46 UTC
Created attachment 1185409 [details]
File: backtrace

Comment 2 Heiko Adams 2016-07-29 07:07:47 UTC
Created attachment 1185410 [details]
File: environ

Comment 3 Fedora End Of Life 2017-07-25 22:07:49 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 16:02:03 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.